# $Revision: 1.24 $, $Date: 2008-01-13 13:07:40 $
Summary:	High dynamic-range (HDR) image file format support libraries
Summary(pl.UTF-8):	Biblioteki obsługujące format plików obrazu o wysokiej dynamice (HDR)
Name:		OpenEXR
Version:	1.6.1
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://download.savannah.nongnu.org/releases/openexr/openexr-%{version}.tar.gz
# Source0-md5:	11951f164f9c872b183df75e66de145a
URL:		http://www.openexr.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6.3
BuildRequires:	ilmbase-devel >= 1.0.1
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Requires:	ilmbase >= 1.0.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenEXR is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications.
OpenEXR is used by ILM on all motion pictures currently in production.
The first movies to employ OpenEXR were Harry Potter and the Sorcerers
Stone, Men in Black II, Gangs of New York, and Signs. Since then,
OpenEXR has become ILM's main image file format.

%description -l pl.UTF-8
OpenEXR to format plików obrazu o wysokiej dynamice (HDR - High
Dynamic-Range) stworzony przez Industrial Light & Magic do używania w
aplikacjach do grafiki komputerowej. OpenEXR jest używany przez ILM do
wszystkich aktualnie produkowanych obrazów ruchomych. Pierwszymi
filmami wykorzystującymi OpenEXR były Harry Potter and the Sorcerers
Stone, Men in Black II, Gangs of New York oraz Signs. Od tamtego czasu
OpenEXR stał się głównym formatem obrazu ILM.

%package devel
Summary:	Header files for OpenEXR libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek OpenEXR
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ilmbase-devel >= 1.0.1
Requires:	libstdc++-devel
Requires:	zlib-devel

%description devel
Header files for OpenEXR libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek OpenEXR.

%package static
Summary:	Static OpenEXR libraries
Summary(pl.UTF-8):	Statyczne biblioteki OpenEXR
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OpenEXR libraries.

%description static -l pl.UTF-8
Statyczne biblioteki OpenEXR.

%package progs
Summary:	OpenEXR utilities
Summary(pl.UTF-8):	Narzędzia do obrazów OpenEXR
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
OpenEXR utilities.

%description progs -l pl.UTF-8
Narzędzia do obrazów OpenEXR.

%prep
%setup -q -n openexr-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libIlmImf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIlmImf.so.6

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libIlmImf.so
%{_libdir}/libIlmImf.la
%{_includedir}/OpenEXR/Imf*.h
%{_includedir}/OpenEXR/OpenEXRConfig.h
%{_aclocaldir}/openexr.m4
%{_pkgconfigdir}/OpenEXR.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libIlmImf.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/exrenvmap
%attr(755,root,root) %{_bindir}/exrheader
%attr(755,root,root) %{_bindir}/exrmakepreview
%attr(755,root,root) %{_bindir}/exrmaketiled
%attr(755,root,root) %{_bindir}/exrstdattr

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: OpenEXR.spec,v $
Revision 1.24  2008-01-13 13:07:40  qboosh
- updated to 1.6.1
- removed obsolete patches
- base libs now in ilmbase.spec, exrdisplay moved to openexr_viewers

Revision 1.23  2007-04-16 20:09:46  pluto
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl).
- release 2.

Revision 1.22  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.20  2007/02/11 20:41:30  arekm
- fix devel pl descs

Revision 1.19  2007/02/04 19:56:07  qboosh
- more verbose files
- automake already copies config.sub

Revision 1.18  2007/01/02 21:18:40  arekm
- up to 1.4.0a

Revision 1.17  2006/11/25 13:19:49  arekm
- rel 5

Revision 1.16  2006/07/30 17:48:55  arekm
- rel 4; link libraries between themselfs

Revision 1.15  2006/04/07 11:19:06  undefine
- fixed build

Revision 1.14  2005/12/27 23:11:16  pluto
- release 3.

Revision 1.13  2005/12/06 17:40:50  pluto
- gcc4 fix.

Revision 1.12  2005/05/05 01:43:22  pluto
- release 2 for Th.

Revision 1.11  2005/03/20 15:06:21  qboosh
- updated to 1.2.2

Revision 1.10  2004/12/21 19:05:39  qboosh
- release 2

Revision 1.9  2004/10/10 18:40:07  paladine
- added missing BR: autoconf, libtool

Revision 1.8  2004/08/22 17:06:31  qboosh
- pkgconfig is not required to link with libraries

Revision 1.7  2004/08/10 22:10:34  pluto
- updated to 1.2.1.

Revision 1.6  2004/04/27 17:49:22  pluto
- updated to 1.1.1 (another development release)

Revision 1.5  2004/04/22 10:03:07  pluto
- openexr.m4: quote fix.

Revision 1.4  2004/04/01 21:06:16  pluto
- gcc 3.4 fixes.
- release 0.2.

Revision 1.3  2004/03/16 10:44:42  qboosh
- more deps

Revision 1.2  2004/03/15 20:28:19  qboosh
- pl, cosmetics

Revision 1.1  2004/03/15 19:56:59  adgor
- Initial
